openSUSE Security Update : gdk-pixbuf (openSUSE-2017-1426)

Low Nessus Plugin ID 105505

Synopsis

The remote openSUSE host is missing a security update.

Description

This update for gdk-pixbuf provides the following fixes :

- Add overflow checks when creating pixbuf structures in general

- Fix arithmetic overflow in the BMP loader (bsc#1053417)

- Adds support for BMPv3 with bitmasks (bsc#1053417)

This update was imported from the SUSE:SLE-12-SP2:Update update project.

Solution

Update the affected gdk-pixbuf packages.

See Also

https://bugzilla.opensuse.org/show_bug.cgi?id=1053417

Plugin Details

Severity: Low

ID: 105505

File Name: openSUSE-2017-1426.nasl

Version: $Revision: 3.1 $

Type: local

Agent: unix

Published: 2018/01/02

Modified: 2018/01/02

Dependencies: 12634

Risk Information

Risk Factor: Low

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:gdk-pixbuf-debugsource, p-cpe:/a:novell:opensuse:gdk-pixbuf-devel, p-cpe:/a:novell:opensuse:gdk-pixbuf-devel-32bit, p-cpe:/a:novell:opensuse:gdk-pixbuf-devel-debuginfo, p-cpe:/a:novell:opensuse:gdk-pixbuf-devel-debuginfo-32bit, p-cpe:/a:novell:opensuse:gdk-pixbuf-lang, p-cpe:/a:novell:opensuse:gdk-pixbuf-query-loaders, p-cpe:/a:novell:opensuse:gdk-pixbuf-query-loaders-32bit, p-cpe:/a:novell:opensuse:gdk-pixbuf-query-loaders-debuginfo, p-cpe:/a:novell:opensuse:gdk-pixbuf-query-loaders-debuginfo-32bit, p-cpe:/a:novell:opensuse:libgdk_pixbuf-2_0-0, p-cpe:/a:novell:opensuse:libgdk_pixbuf-2_0-0-32bit, p-cpe:/a:novell:opensuse:libgdk_pixbuf-2_0-0-debuginfo, p-cpe:/a:novell:opensuse:libgdk_pixbuf-2_0-0-debuginfo-32bit, p-cpe:/a:novell:opensuse:typelib-1_0-GdkPixbuf-2_0, cpe:/o:novell:opensuse:42.2, cpe:/o:novell:opensuse:42.3

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 2017/12/29